Retrieves the unavailability type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e9cc8bcf-05fd-4afa-8d80-71b951dadecc",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "cee2639b-7070-4f93-973c-41d869f8bceb",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "86adc72b-3205-43c9-9489-f376a19ad85a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2cd7387-3275-4dc5-ac76-4d98ea298220",
"db_currency_id": "d728dbb4-082f-48db-bba2-ca6671e507fe",
"db_language_id": "325a31a5-9da9-4b7c-bd62-64a8b869546b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-14T05:31:06.1530772+00:00"
},
"modified_dateutc": "2026-04-14T05:31:06.1530772+00:00"
}